;;; EPIDISPLAY-STUB.LISP
;;;
;;; Function STUBS for no-op graphics so epipolar matching
;;; system compiles OK under vanilla lucid.
;;;
;;; Author: Robert T. Collins
;;; Date: Mar 5, 1995
;;;
;-----------------------------------------------------------------
; (c) Copyright 1995 by The University of Massachusetts
;------------------------------------------------------------------

(in-package 'epipolar :nicknames '(epi))


;;;;****************************************************************
;;;; LINE DISPLAY ROUTINES - 

(defun display-line-tokenset (view tks &key (color *line-color*) 
				   (thickness *line-thickness*))
  (declare (ignore tks color thickness))
  view)


(defun display-line (view x1 y1 x2 y2 &key (color *line-color*)
			  (thickness *line-thickness*))
  (declare (ignore x1 y1 x2 y2 color thickness))
  view)



;;;;****************************************************************
;;;; DISPLAY EPIPOLAR BOUNDARIES

(defun epipolar-display (view low1 low2 high1 high2 &key (zoom nil) 
			      (color  *epipolar-color*) 
			      (thickness *epipolar-thickness*))
  (declare (ignore low1 low2  high1 high2 zoom color thickness))
  view)


#|
(defun plot-histogram (window histogram &key min max (numknots 3)  (clear t)
		       (thickness *histogram-thickness*) (color *histogram-color*))
  "  Plot histogram as a spline on the given window.  Returns as multiple values the
 histogram array, its minimum, and its maximum element values."
  (let ((sequence (hist:histogram-array histogram)))
    (let ((max (max (if max max 0) (reduce #'max sequence)))
	  (min (min (if min min 0) (reduce #'min sequence)))
	  (size (length sequence)))
      (when clear (send window :clear))
      (send window :set-image-window 0 (min 0 min) size (- max min))
      (dotimes (i size)
	(setf (aref *spline-xarr* i) (+ 0.5 i))
	(setf (aref *spline-yarr* i) (- max (aref sequence i))))
      (send window :display-spline *spline-xarr* *spline-yarr* numknots  :color color :thickness thickness)
      (values sequence min max))))


|#